/************************************************************************
 *
 *  main.h, part of tmn (TMN encoder)
 *  Copyright (C) 1997  University of BC, Canada
 *
 *  Contacts: 
 *  Michael Gallant                   <mikeg@ee.ubc.ca>
 *  Guy Cote                          <guyc@ee.ubc.ca>
 *  Berna Erol                        <bernae@ee.ubc.ca>
 *
 *  UBC Image Processing Laboratory   http://www.ee.ubc.ca/image
 *  2356 Main Mall                    tel.: +1 604 822 4051
 *  Vancouver BC Canada V6T1Z4        fax.: +1 604 822 5949
 *
 ************************************************************************/

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any
 * license fee or royalty on an "as is" basis. The University of
 * British Columbia disclaims any and all warranties, whether
 * express, implied, or statuary, including any implied warranties
 * or merchantability or of fitness for a particular purpose.  In no
 * event shall the copyright-holder be liable for any incidental,
 * punitive, or consequential damages of any kind whatsoever arising
 * from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs
 * and user's customers, employees, agents, transferees, successors,
 * and assigns.
 *
 * The University of British Columbia does not represent or warrant
 * that the programs furnished hereunder are free of infringement of
 * any third-party patents.
 *
 * Commercial implementations of H.263, including shareware, are
 * subject to royalty fees to patent holders.  Many of these patents
 * are general enough such that they are unavoidable regardless of
 * implementation design.
 *
*/

char *output_H263_seqfilename;
char *output_H263_enhance_seqfilename;
char *output_H263_streamname;
char *output_H263_outputfile;
char *output_H263_outputfile_enhance;
char *output_H263_diff_filename;
char *output_H263_tracefile;

float output_H263_mean_frame_rate, output_H263_ref_frame_rate, output_H263_frame_rate, output_H263_seconds;

int output_H263_frames,output_H263_Iframes,output_H263_bframes,output_H263_pframes,output_H263_Bframes, output_H263_EIframes, output_H263_EPframes;
int output_H263_wcopies,output_H263_icopies, output_H263_write_repeated;
int output_H263_total_frames_passed, output_H263_targetrate;
int output_H263_fstart, output_H263_end, output_H263_frame_no, output_H263_writediff;  
int output_H263_QP,output_H263_QPI;
int output_H263_first_frameskip, output_H263_chosen_frameskip, output_H263_orig_frameskip, output_H263_frameskip;
int output_H263_mv_outside_frame_old, output_H263_source_format_old;
int output_H263_B_pictures_to_code;
int output_H263_prev_frame_no, output_H263_prev_I_P_frame_no, output_H263_prev_pict_type, output_H263_prev_I_P_pic_TR;
int output_H263_arith_used;
int output_H263_start_rate_control;


void output_H263_InitializeCoder(Pict *pic);
void output_H263_ProcessArguments(int argc, char *argv[], Pict *pic);
void output_H263_Help();
void output_H263_AdvancedHelp();

FILE *output_H263_cleared;

Bits *output_H263_bits;
Bits *output_H263_total_bits;
Results *output_H263_total_res;
Bits *output_H263_intra_bits;
Results *output_H263_intra_res;
Bits *output_H263_inter_bits;
Results *output_H263_inter_res;
Bits *output_H263_b_bits;
Results *output_H263_b_res;
Bits *output_H263_pb_bits;
Results *output_H263_pb_res;
Bits *output_H263_scal_bits;
Results *output_H263_scal_res;
Bits *output_H263_ei_bits;
Results *output_H263_ei_res;
Bits *output_H263_ep_bits;
Results *output_H263_ep_res;

Results *output_H263_res;

int output_H263_scal_tab[2][9] = { {1,1,1,2,2,1,1,2,2},
				   {1,1,1,1,1,2,2,2,2} };
